Summary:	Shell scripts to manage DocBook documents
Name: 		docbook-utils
Version: 	0.6.14
Release:	%mkrel 20
Url:		ftp://sources.redhat.com/pub/docbook-tools/new-trials/
Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.bz2
Source1:	db2html
Source2:	docbook2man-spec.pl
#gw prevent error with new grep:
#https://qa.mandriva.com/show_bug.cgi?id=61127
Patch0:		docbook-utils-0.6.14-grep2.7.patch
Group:		Publishing
License:	GPLv2+

BuildRequires:	docbook-style-dsssl >= 1.72
BuildRequires:	docbook-dtd31-sgml
BuildArch:	noarch
Requires:	docbook-style-dsssl >= 1.72
Requires:	docbook-dtds
Requires:	perl-SGMLSpm >= 1.03ii
Requires:	which
Obsoletes:	sgml-tools
Provides:	sgml-tools

%description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.

%package pdf
Summary: A script for converting DocBook documents to PDF format
Group: Publishing
Obsoletes: stylesheets-db2pdf
Provides: stylesheets-db2pdf
Conflicts: %{name} < 0.6.14-15
Requires: %{name} = %{version}
Requires: dvips
Requires: jadetex >= 2.5

%description pdf
This package contains a script for converting DocBook documents to
PDF format.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
mkdir -p %{buildroot}/%{_mandir}/man{1,7}
for sec in 1 7; do cp -af doc/man/*.$sec %{buildroot}/%{_mandir}/man$sec; done

%makeinstall_std

for util in dvi html pdf ps rtf man
do
        ln -s docbook2$util %{buildroot}%{_bindir}/db2$util
        ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/db2$util.1
done

# db2html is not just a symlink, as it has to create the output directory
rm -f %{buildroot}%{_bindir}/db2html
install -c -m 775 %{SOURCE1} %{buildroot}%{_bindir}/db2html
install -p -m 755 %{SOURCE2} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl

# clean install html files
rm -rf %{buildroot}/%{_prefix}/doc

%files
%doc README COPYING TODO doc/HTML/*.html
%{_bindir}/jw
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%attr(0755,root,root) %{_bindir}/db2html
%{_bindir}/db2rtf
%{_bindir}/db2man
%{_bindir}/sgmldiff
%dir %{_datadir}/sgml/docbook/utils-%{version}
%dir %{_datadir}/sgml/docbook/utils-%{version}/backends
%{_datadir}/sgml/docbook/utils-%{version}/backends/html
%{_datadir}/sgml/docbook/utils-%{version}/backends/man
%{_datadir}/sgml/docbook/utils-%{version}/backends/rtf
%{_datadir}/sgml/docbook/utils-%{version}/backends/tex
%{_datadir}/sgml/docbook/utils-%{version}/backends/texi
%{_datadir}/sgml/docbook/utils-%{version}/backends/txt
%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
%dir %{_datadir}/sgml/docbook/utils-%{version}/frontends
%{_datadir}/sgml/docbook/utils-%{version}/frontends/docbook
%dir %{_datadir}/sgml/docbook/utils-%{version}/helpers
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2texi-spec.pl
%{_mandir}/man1/*
%{_mandir}/man7/*
%exclude %{_mandir}/man*/docbook2dvi.*
%exclude %{_mandir}/man*/docbook2pdf.*
%exclude %{_mandir}/man*/docbook2ps.*

%files pdf
%{_bindir}/db2dvi
%{_bindir}/db2pdf
%{_bindir}/db2ps
%{_bindir}/docbook2dvi
%{_bindir}/docbook2pdf
%{_bindir}/docbook2ps
%{_mandir}/man*/docbook2dvi.*
%{_mandir}/man*/docbook2pdf.*
%{_mandir}/man*/docbook2ps.*
%{_datadir}/sgml/docbook/utils-%{version}/backends/dvi
%{_datadir}/sgml/docbook/utils-%{version}/backends/pdf
%{_datadir}/sgml/docbook/utils-%{version}/backends/ps


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.6.14-20.mga6
+ Revision: 942523
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.14-19.mga5
+ Revision: 750690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.14-18.mga5
+ Revision: 678790
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.14-17.mga4
+ Revision: 503940
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6.14-16.mga3
+ Revision: 349049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 12 2011 ahmad <ahmad> 0.6.14-15.mga2
+ Revision: 123112
- Move dvi and ps files to the -pdf sub-package (Fedora)
- Move the jadetex requires to the -pdf sub-package (Fedora)

* Fri Mar 25 2011 ahmad <ahmad> 0.6.14-14.mga1
+ Revision: 77487
- add requires on docbook-dtds (Fedora)

* Fri Mar 04 2011 boklm <boklm> 0.6.14-13.mga1
+ Revision: 64055
- remove requires on tetex to rebuild using texlive

* Mon Jan 10 2011 pterjan <pterjan> 0.6.14-12.mga1
+ Revision: 5369
- imported package docbook-utils

  + blino <blino>
    - remove old conflict
    - imported package docbook-utils


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.6.14-12mdv2011.0
+ Revision: 581614
- fix for new grep (bug #61127)

* Wed Jan 13 2010 Jérôme Brenier <incubusss@mandriva.org> 0.6.14-11mdv2010.1
+ Revision: 491012
- replace the docbook2man-spec.pl file by a corrected one from Fedora
- fix license tag

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.14-10mdv2010.0
+ Revision: 413373
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6.14-9mdv2009.1
+ Revision: 350833
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.6.14-8mdv2009.0
+ Revision: 220679
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.6.14-7mdv2008.1
+ Revision: 149207
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.14-6mdv2008.0
+ Revision: 83600
- rebuild


* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.14-5mdv2007.0
+ Revision: 130195
- create db2man symlink
- %%mkrel
- Import docbook-utils

* Tue May 23 2006 Camille Begnis <camille@mandriva.com> 0.6.14-4mdk
- rebuild

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.14-3mdk 
- Move docbook2pdf manpage to subpackage

* Fri Apr 22 2005 Camille Begnis <camille@mandriva.com> 0.6.14-2mdk
- rebuild

